/**
 * Data model pour les armes
 */
export default class ArmeDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      description: new fields.HTMLField({ initial: "" }),
      typearme: new fields.StringField({ initial: "" }),
      isdefense: new fields.BooleanField({ initial: false }),
      bonusmaniementoff: new fields.NumberField({ initial: 0, integer: true }),
      bonusmaniementdef: new fields.NumberField({ initial: 0, integer: true }),
      nobonusdegats: new fields.BooleanField({ initial: false }),
      degats: new fields.StringField({ initial: "" }),
      nonletaux: new fields.BooleanField({ initial: false }),
      deuxmains: new fields.BooleanField({ initial: false }),
      courte: new fields.NumberField({ initial: 0, integer: true }),
      moyenne: new fields.NumberField({ initial: 0, integer: true }),
      longue: new fields.NumberField({ initial: 0, integer: true }),
      tr: new fields.NumberField({ initial: 0, integer: true }),
      rarete: new fields.NumberField({ initial: 0, integer: true }),
      prix: new fields.NumberField({ initial: 0, integer: true }),
      equipped: new fields.BooleanField({ initial: false })
    };
  }
}
